Generation Framework

## org.eclipse.gmf.gmfgraph
Enum LineKind

    java.lang.Object
      java.lang.Enum<LineKind>
          org.eclipse.gmf.gmfgraph.LineKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineKind>, org.eclipse.emf.common.util.Enumerator

    public enum LineKind

extends java.lang.Enum<LineKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Line Kind', and utility methods for working with them. org.eclipse.draw2d.Graphics.LINE_* (== org.eclipse.swt.SWT.LINE_*. Values are same as SWT constants

See Also:
  `GMFGraphPackage.getLineKind()`
** Generated **
Model:

Enum Constant Summary
`LINE_CUSTOM_LITERAL` The 'LINE CUSTOM' literal object
`LINE_DASH_LITERAL` The 'LINE DASH' literal object
`LINE_DASHDOT_LITERAL` The 'LINE DASHDOT' literal object
`LINE_DASHDOTDOT_LITERAL` The 'LINE DASHDOTDOT' literal object
`LINE_DOT_LITERAL` The 'LINE DOT' literal object
`LINE_SOLID_LITERAL` The 'LINE SOLID' literal object

Field Summary
`static int` `LINE_CUSTOM` The 'LINE CUSTOM' literal value
`static int` `LINE_DASH` The 'LINE DASH' literal value
`static int` `LINE_DASHDOT` The 'LINE DASHDOT' literal value
`static int` `LINE_DASHDOTDOT` The 'LINE DASHDOTDOT' literal value
`static int` `LINE_DOT` The 'LINE DOT' literal value
`static int` `LINE_SOLID` The 'LINE SOLID' literal value
`static java.util.List<LineKind>` `VALUES` A public read-only list of all the 'Line Kind' enumerators

Method Summary
`static LineKind` `get(int value)` Returns the 'Line Kind' literal with the specified integer value
`static LineKind` `get(java.lang.String literal)` Returns the 'Line Kind' literal with the specified literal value
`static LineKind` `getByName(java.lang.String name)` Returns the 'Line Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static LineKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINE_SOLID_LITERAL

    public static final LineKind LINE_SOLID_LITERAL

  The 'LINE SOLID' literal object.

  See Also:
    `LINE_SOLID`
  ** Generated **
  Ordered:

### LINE_DASH_LITERAL

    public static final LineKind LINE_DASH_LITERAL

  The 'LINE DASH' literal object.

  See Also:
    `LINE_DASH`
  ** Generated **
  Ordered:

### LINE_DOT_LITERAL

    public static final LineKind LINE_DOT_LITERAL

  The 'LINE DOT' literal object.

  See Also:
    `LINE_DOT`
  ** Generated **
  Ordered:

### LINE_DASHDOT_LITERAL

    public static final LineKind LINE_DASHDOT_LITERAL

  The 'LINE DASHDOT' literal object.

  See Also:
    `LINE_DASHDOT`
  ** Generated **
  Ordered:

### LINE_DASHDOTDOT_LITERAL

    public static final LineKind LINE_DASHDOTDOT_LITERAL

  The 'LINE DASHDOTDOT' literal object.

  See Also:
    `LINE_DASHDOTDOT`
  ** Generated **
  Ordered:

### LINE_CUSTOM_LITERAL

    public static final LineKind LINE_CUSTOM_LITERAL

  The 'LINE CUSTOM' literal object.

  See Also:
    `LINE_CUSTOM`
  ** Generated **
  Ordered:

Field Detail

### LINE_SOLID

    public static final int LINE_SOLID

  The 'LINE SOLID' literal value.

  If the meaning of 'LINE SOLID' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_SOLID_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASH

    public static final int LINE_DASH

  The 'LINE DASH' literal value.

  If the meaning of 'LINE DASH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_DASH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DOT

    public static final int LINE_DOT

  The 'LINE DOT' literal value.

  If the meaning of 'LINE DOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_DOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASHDOT

    public static final int LINE_DASHDOT

  The 'LINE DASHDOT' literal value.

  If the meaning of 'LINE DASHDOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_DASHDOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASHDOTDOT

    public static final int LINE_DASHDOTDOT

  The 'LINE DASHDOTDOT' literal value.

  If the meaning of 'LINE DASHDOTDOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_DASHDOTDOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_CUSTOM

    public static final int LINE_CUSTOM

  The 'LINE CUSTOM' literal value.

  If the meaning of 'LINE CUSTOM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE_CUSTOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<LineKind> VALUES

  A public read-only list of all the 'Line Kind' enumerators.

  ** Generated **

Method Detail

### values

    public static final LineKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LineKind c : LineKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LineKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static LineKind get(java.lang.String literal)

  Returns the 'Line Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static LineKind getByName(java.lang.String name)

  Returns the 'Line Kind' literal with the specified name.

  ** Generated **

### get

    public static LineKind get(int value)

  Returns the 'Line Kind' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<LineKind>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.